﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using MySql.Data.MySqlClient;

namespace ogrenciotomasyonu
{
     
    public partial class Form1 : Form
    {
        MySqlConnectionStringBuilder bag;
        MySqlDataAdapter da;
        MySqlDataAdapter da_harf;
        public Form1()
        {
            InitializeComponent();
            bag = new MySqlConnectionStringBuilder();
            bag.Server = "localhost"; // 192.168.81.117
            bag.UserID = "user";
            bag.Password = "123456";
            bag.Database = "hafta5_1";

            MySqlConnection conn = new MySqlConnection(bag.ToString());
            MySqlCommand cmd_sel = new MySqlCommand("select ograd,vize,final from ogrenci;",conn);
            MySqlCommand cmd_ins = new MySqlCommand("insert into ogrenci(ograd,vize,final) values(@ograd,@vize,@final)", conn);
            cmd_ins.Parameters.Add("@ograd", MySqlDbType.VarChar, 100, "ograd");
            cmd_ins.Parameters.Add("@vize", MySqlDbType.Int32, 11, "vize");
            cmd_ins.Parameters.Add("@final", MySqlDbType.Int32, 11, "final");

            da = new MySqlDataAdapter();
            da.SelectCommand = cmd_sel;
            da.InsertCommand = cmd_ins;

            da_harf = new MySqlDataAdapter();
            MySqlCommand cmd_sel_harf = new MySqlCommand("select harf, deger from harf;", conn);
            da_harf.SelectCommand = cmd_sel_harf;
            listboxdoldur();

        }

        private void ekle_Click(object sender, EventArgs e)
        {
            int vize,final;
            bool kont1 = Int32.TryParse(textBox2.Text, out vize);
            bool kont2 = Int32.TryParse(textBox3.Text, out final);

            if (textBox1.Text.Length > 0 && kont1 && kont2)
            {
                DataTable dt = new DataTable();
                da.Fill(dt); // ogrenci tablosunu dt aldik
                DataRow dr = dt.NewRow();
                dr["ograd"] = textBox1.Text;
                dr["vize"] = vize;
                dr["final"] = final;

                dt.Rows.Add(dr);
                da.Update(dt);
                textBox1.Clear();
                textBox2.Clear();
                textBox3.Clear();
                listboxdoldur();

            }
        }

        private void listboxdoldur()
        {
            DataTable dt = new DataTable();
            da.Fill(dt); // ogrenci tablosunu dt aldik

            DataTable dt_harf = new DataTable();
            da_harf.Fill(dt_harf); // harf tablosunu aldik

            listBox1.Items.Clear();
            listBox2.Items.Clear();
            listBox3.Items.Clear();
            listBox4.Items.Clear();
            listBox5.Items.Clear();

            for (int i = 0; i < dt.Rows.Count; i++)
            {
                listBox1.Items.Add(dt.Rows[i].ItemArray[0].ToString());
                listBox2.Items.Add(dt.Rows[i].ItemArray[1].ToString());
                listBox3.Items.Add(dt.Rows[i].ItemArray[2].ToString());
                int vize = Convert.ToInt32(dt.Rows[i].ItemArray[1].ToString());
                int final = Convert.ToInt32(dt.Rows[i].ItemArray[2].ToString());

                double ort = vize * 0.4 + final * 0.6;

                int ortalama=(int)Math.Ceiling(ort);

                listBox4.Items.Add(ortalama.ToString());
                listBox5.Items.Add(harfgetir(ortalama,dt_harf));       
           }
        }

        private string harfgetir(int ort, DataTable dt_harf)
        {
            string harf = "FF";

            for (int i = 0; i < dt_harf.Rows.Count; i++)
            {
                int harfkarsilik = Convert.ToInt32(dt_harf.Rows[i].ItemArray[1].ToString()); // harfin rakam degeri (2. kolon)
                if (ort >= harfkarsilik)
                {
                    harf = dt_harf.Rows[i].ItemArray[0].ToString(); // harf degeri (1. kolon)
                    return harf; // donguyu bitirdik
                }

            }
            return harf;
        }

        private void harfaraligi_Click(object sender, EventArgs e)
        {
            Form2 frm2 = new Form2(bag);
            frm2.ShowDialog();
            listboxdoldur();

        }
    }
}
